Subject: libmysqlclient.a [WAS: _ctype_ not found in cygwin1.dll]
From: [email-masked]
To: [email-masked]
Cc: "Markus Hoenicka" <[email-masked]>
Date: Fri, 18 Aug 2000 12:34:26 +0200 (MET DST)

Hi Markus,

 >
 >So for the next weeks (months?) I'll be mulling over libmysqlclient.a ...
 >

I successfully compiled libmysql with cygwin 1.1.4 last night,
eliminating some win32 stuff.
The disadvantage of my "solution" is that you cannot contact a
local server via named pipes under NT, only via TCP/IP and unix
sockets. So you cannot connect to "localhost", but you have to
give its IP-Address to connect to a local MySQL server via
TCP/IP.

My solution is very dirty and far away from a "patch", but I have
a working libmysqlclient.a compiled with cygwin 1.1.4.

Feel free to contact me if you are interested, I can send you a
list of what I have modified in the source.
I am also interested in a better solution that can handle named
pipes like the well-known B20-Version and can be compiled with
the latest cygwin version. Please let me know when you have good
news.

Thanks

- Lars A. Wuerfel

 >
 >Andre Bleau writes:
 > > After I upgraded to Cygwin 1.1.x I had the same problem while linking with
 > > a library I compiled under Cygwin B20.1. Some function inside the library
 > > was including <ctype.h> for the use of isupper, islower... These are macros
 > > using a
 > > global variable of the cygwin library named _ctype_ whose declaration in
 > > ctype.h has changed between B20.1 and 1.1.x to now include the
 > > __declspec(dllimport) attribute. You will have to recompile the modules of
 > > your libmysqlclient.a that include <ctype.h>.
 > >
 > > Hope this helps.
 > >
 > > >Hi all,
 > > >
 > > >this is sort of a follow-up to my previous problem (accept() fails if
 > > >I run my app as service, but succeeds if I run it standalone).
 > > >
 > > >I found out that my app does run fine as a server on a different B20.1
 > > >installation. So I figured that my CygWin setup may be screwed up and
 > > >started from scratch. I upgraded to the latest net release and rebuilt
 > > >my app completely (except for libmysqlclient.a: This was compiled with
 > > >B20.1, and I could not yet figure out how to compile it on 1.1.4).
 > > >
 > > >Now I face a different problem. My app again runs just fine as
 > > >standalone, but when I try to start it as a service (using
 > > >invkr153.zip) I get:
 > > >
 > > >"The procedure entry point _ctype_ could not be located in the dynamic
 > > >link library cygwin1.dll"
 > > >
 > > >What is this trying to tell me? Any help will be greatly
 > > >appreciated. cygcheck is attached below.
 > > >
 > > >Markus
 > >
 > >

--
Want to unsubscribe from this list?
Send a message to [email-masked]